# std::basic_spanstream<CharT,Traits>::swap

From cppreference.com
< cpp‎ | io‎ | basic spanstream

void swap( basic_spanstream& other ); |  | (since C++23)

Exchanges the state of the stream with those of `other`.

This is done by calling std::basic_iostream <CharT, Traits>::swap(other) and swapping the wrapped std::basic_spanbuf objects (accessible through *rdbuf()).

### Parameters

other | - | stream to exchange the state with

### Return value

(none)

### Exceptions

May throw implementation-defined exceptions.

### Example

| This section is incomplete Reason: no example

### See also

swap | swaps two `basic_spanbuf` objects (public member function of `std::basic_spanbuf<CharT,Traits>`)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_spanstream/swap&oldid=130853"